package com.cf.imes.module.executor.service.order;

import com.cf.imes.module.executor.controller.admin.order.vo.order.OrderStatisticsReqVO;

import java.util.Map;

/**
 * 生产单统计 —— 超管
 */
public interface OrderSupStatisticsService {

    /**
     * 生产单总数统计
     */
    Map<String, Integer> orderTotal();

    /**
     * 拆单板件平方数统计
     */
    Map<String, Double> plateAreaTotal();

    /**
     * 有效、无效生产单数量统计
     */
    Map<String, Object> orderSeparate(OrderStatisticsReqVO reqVO);

    /**
     * 有效、无效拆单板件平方统计
     */
    Map<String, Object> plateAreaSeparate(OrderStatisticsReqVO reqVO);
}
